Bug 55803 - (SOUND SB)aumix: error opening mixer
(SOUND SB)aumix: error opening mixer
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-06 16:53 EST by Martin Pineault
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Martin Pineault 2001-11-06 16:53:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
Right after the modprobe install the sb driver (a real soundblaster 8 bits
card CT-1850A) the mixer wont load so nothing is heard from the card.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.aumix-minimal -f /etc/.aumixrc

Actual Results:  aumix:  error opening mixer

Expected Results:  soundblaster volume being set corectly.

Additional info:

I just removed the sb16 bits card to install the sb 8bits card (486 slot
space issue).

Then I run the "sndconfig" program and I did hear both the test sound.  
Here the modules.conf file content:

alias sound-slot-0 sb
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null
2>&1 || :
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options sb io=0x220 irq=5 dma=1

Which is correct.  But right after "sndconfig" the following message appear:

Unable to handle kernel paging request at virtual address 20736175
 printing eip:
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c0129967>]    Not tainted
EFLAGS: 00013016
eax: 01100000   ebx: 00000001   ecx: 20736169   edx: 00040000
esi: 6c61206e   edi: 00003202   ebp: c4866c80   esp: c2ca1f4c
ds: 0018   es: 0018   ss: 0018
Process rmmod (pid: 935, stackpage=c2ca1000)
Stack: 00000047 c121e960 00000000 c4866b20 c485e4d7 00000001 c121e960 c485bf45
       c121e960 00000000 00000000 c486591f c4866b20 00000000 c4865000 00000000
       00000000 c2cba000 c01169be c4865000 00000000 fffffff0 c0115bd3 c4865000
Call Trace: [<c4866b20>] opl_dev [sb] 0xa1c
[<c485e4d7>] unload_sbmpu_R74afd69c [sb_lib] 0x2003
[<c485bf45>] sb_dsp_unload_Rc4884969 [sb_lib] 0xa5
[<c486591f>] __insmod_sb_S.text_L2368 [sb] 0x8bf
[<c4866b20>] opl_dev [sb] 0xa1c
[<c01169be>] free_module [kernel] 0x1e
[<c0115bd3>] sys_delete_module [kernel] 0xff
[<c0106e03>] system_call [kernel] 0x33

Code: 2b 59 0c 89 d8 31 d2 f7 76 18 89 c3 8b 41 14 89 44 99 18 89
Comment 1 Bill Nottingham 2001-11-06 22:12:43 EST
The oops indicates a kernel bug.
Comment 2 Bugzilla owner 2004-09-30 11:39:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.